<?php
/*
 * This file holds the Czech translation of PHP Weather. To use it,
 * just include it in the main phpweather.inc file or better in your
 * HTML-PHP page (see demo.php).
 *
 * You should be aware that the file is encoded using ISO-8859-2, so
 * any page that uses this file should put the following in the
 * <head></head> section of the page:
 *
 * <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-2">
 *
 * Author: Wayne VlK <kotala@ingema.net> */

/* Unsets old language variables and loads new ones. */
if (isset($strings)) {
  /* The strings array is loaded - assume the same for the rest. */
  unset($strings);
  unset($wind_dir_text_short_array);
  unset($wind_dir_text_array);
  unset($weather_array);
  unset($cloud_condition_array);
}
/* Load the new strings */

$strings = array(
  'no_data'               => '<blockquote><p>Sorry! There is <b>no data</b> available for %s.</p></blockquote>',
  'mm_inches'             => '<b>%s</b> mm (<b>%s</b> palc',
  'precip_a_trace'        => 'trasa',
  'precip_there_was'      => 'Spadlo %s srek ',
  'sky_str_format1'       => 'Byly <b>%s</b> ve vce <b>%s</b> metr (<b>%s</b> stop)',
  'sky_str_clear'         => 'Bylo <b>jasno</b>',
  'sky_str_format2'       => ', <b>%s</b> ve vce <b>%s</b> metr (<b>%s</b> stop) a <b>%s</b> ve vce <b>%s</b> metr (<b>%s</b> stop)',
  'sky_str_format3'       => ' a <b>%s</b> ve vce <b>%s</b> metr (<b>%s</b> stop)',
  'clouds'                => ' mraky',
  'clouds_cb'             => ' mraky (cumulonimbus)',
  'clouds_tcu'            => ' boukov mraky',
  'visibility_format'     => 'Viditelnost byla <b>%s</b> kilometr (<b>%s</b> ml).',
  'wind_str_format1'      => 'o rychlosti <b>%s</b> metr za sekundu (<b>%s</b> ml za hodinu)',
  'wind_str_format2'      => ', v nrazech a <b>%s</b> metr za sekundu (<b>%s</b> ml za hodinu),',
  'wind_str_format3'      => ' od <b>%s</b>',
  'wind_str_calm'         => '<b>bezvt</b>',
  'wind_vrb_long'         => 'variable directions',
  'wind_vrb_short'        => 'VAR',
  'windchill'             => ' teplota vtru byla <b>%s</b>&nbsp;&deg;C (<b>%s</b>&nbsp;&deg;F) ',
  'precip_last_hour'      => 'za posledn hodinu. ',
  'precip_last_6_hours'   => 'za poslednch 3 a 6 hodin. ',
  'precip_last_24_hours'  => 'za poslednch 24 hodin. ',
  'precip_snow'           => 'Snhov pokrvka je siln <b>%s</b> mm (<b>%s</b> palc). ',
  'temp_min_max_6_hours'  => 'Maximln a minimln teploty za poslednch 6 hodin jsou <b>%s</b> a <b>%s</b>&nbsp;&deg;C (<b>%s</b> a <b>%s</b> F).',
  'temp_max_6_hours'      => 'Maximln teplota za poslednch 6 hodin byla <b>%s</b>&nbsp;&deg;C (<b>%s</b> F). ',
  'temp_min_6_hours'      => 'Minimln teplota za poslednch 6 hodin byla <b>%s</b>&nbsp;&deg;C (<b>%s</b> F). ',
  'temp_min_max_24_hours' => 'Maximln a minimln teploty za poslednch 24 hodin byly <b>%s</b> and <b>%s</b>&nbsp;&deg;C (<b>%s</b> a <b>%s</b> F). ',
  'runway_vis'            => 'The visibility for runway <b>%s</b> is <b>%s</b> meters (<b>%s</b> feet).',
  'runway_vis_min_max'    => 'The visibility for runway <b>%s</b> varies between <b>%s</b> meters (<b>%s</b> feet) and <b>%s</b> meters (<b>%s</b> feet).',
  'light'                 => 'mrn ',
  'moderate'              => 'stedn ',
  'Heavy'                 => 'tk ',
  'nearby'                => 'blzk ',
  'current_weather'       => 'Aktuln poas je <b>%s</b>. ',
  'pretty_print_metar'    => '<blockquote><p>Ped <b>%s</b> minutami, v <b>%s</b> UTC, byl vtr %s v %s. Teplota byla <b>%s</b>&nbsp;&deg;C (<b>%s</b>&nbsp;&deg;F), %s tlak byl <b>%s</b> hPa (<b>%s</b> palc Hg). Relativn vlhkost byla <b>%s%%</b>. %s %s %s %s %s</p></blockquote>'
 );

$wind_dir_text_short_array = array(
  'S',
  'S/SV',
  'SV',
  'V/SV',
  'V',
  'V/JV',
  'JV',
  'J/JV',
  'J',
  'J/JZ',
  'JZ',
  'Z/JZ',
  'Z',
  'Z/SZ',
  'SZ',
  'S/SZ',
  'S');

$wind_dir_text_array = array(
  'severu',
  'severu/severohvchodu',
  'severovchodu',
  'vchodu/severovchodu',
  'vchodu',
  'vchodu/jihovchodu',
  'jihovchodu',
  'jihu/jihovchodu',
  'jihu',
  'jihu/jihozpadu',
  'jihozpadu',
  'zpadu/jihozpadu',
  'zpadu',
  'zpadu/severozpadu',
  'severozpadu',
  'severu/severozpadu',
  'severu');

$weather_array = array(
  'MI' => 'Shallow ',
  'PR' => 'sten ',
  'BC' => 'obasn ',
  'DR' => 'mrn promnliv ',
  'BL' => 'vtrno ',
  'SH' => 'pehka(y) ',
  'TS' => 'bouka ',
  'FZ' => 'namrzajc ',
  'DZ' => 'mrholen ',
  'RA' => 'd鹻 ',
  'SN' => 'snh ',
  'SG' => 'hrub snh ',
  'IC' => 'ledov krystalky ',
  'PE' => 'mal kroupy ',
  'GR' => 'kroupy ',
  'GS' => 'mal kroupy nebo snhov broky ',
  'UP' => 'neznmo ',
  'BR' => 'opar ',
  'FG' => 'mlha ',
  'FU' => 'smog ',
  'VA' => 'vulkanick poplek ',
  'DU' => 'prachov vrstva ',
  'SA' => 'psek ',
  'HZ' => 'kou ',
  'PY' => 'sprka',
  'PO' => 'siln prach/psen vry ',
  'SQ' => 'vtrn boue ',
  'FC' => 'rotujc mraky/torndo/vodn smr ',
  'SS' => 'psen/pran boue ');

$cloud_condition_array = array(
  'SKC' => 'jasno',
  'CLR' => 'jasno',
  'VV'  => 'vertikln viditelnost',
  'FEW' => 'obasn',
  'SCT' => 'nesouvisle',
  'BKN' => 'skorozataeno',
  'OVC' => 'zataeno');
?>
