<?php
/*
 * This file holds the Hungarian translation of PHP Weather. To use it,
 * Just include it in the main phpweather.inc file.
 *
 * Ez a fjl tartalmazza a "PHP Weather" programhoz hasznlhat magyar
 * nyelv fordtst.
 * Ha hasznlni akarjuk, a "demo.php" fjlban mdostani kell a
 * nyelvre vonatkoz "include('locale_en.inc');" hivatkozst 
 * erre: "include('locale_hu.inc');"
 *
 * Fordtotta: Gyulai Mihly  http://gyulai.freeyellow.com/
 * Utoljra mdostva: 2001-06-23
 */

/* Unsets old language variables and loads new ones. */
if (isset($strings)) {
  /* The strings array is loaded - assume the same for the rest. */
  unset($strings);
  unset($wind_dir_text_short_array);
  unset($wind_dir_text_array);
  unset($weather_array);
  unset($cloud_condition_array);
}
/* Load the new strings */

$strings = array(
  'no_data'               => '<blockquote><p>Sajnos <b>nincs adat</b> a megadott helyhez: %s.</p></blockquote>',
  'mm_inches'             => '<b>%s</b> mm (<b>%s</b> inch)',
  'precip_a_trace'        => 'nyomokban',
  'precip_there_was'      => '%s lecsapds volt ',
  'sky_str_format1'       => 'Az gbolt <b>%s</b> <b>%s</b> m magassgban (<b>%s</b> lb)',
  'sky_str_clear'         => 'Az gbolt <b>derlt</b>',
  'sky_str_format2'       => ', <b>%s</b> <b>%s</b> m magassgban (<b>%s</b> lb) s <b>%s</b> <b>%s</b> m magassgban (<b>%s</b> lb)',
  'sky_str_format3'       => ' s <b>%s</b> <b>%s</b> m magassgban (<b>%s</b> lb)',
  'sky_cavok'             => 'Nincsenek felhk <b>1,500</b> mter alatt',
  'clouds'                => ' felhs',
  'clouds_cb'             => ' gomolyfelhs',
  'clouds_tcu'            => ' viharfelhs',
  'visibility_format'     => 'A lttvolsg <b>%s</b> km.',
  'wind_str_format1'      => '<b>%s</b> m/s sebessggel fjt',
  'wind_str_format2'      => ', <b>%s</b> m/s-os szllksekkel (<b>%s</b> mrfld/h),',
  'wind_str_format3'      => ' <b>%s</b> irnybl',
  'wind_str_calm'         => '<b>nem fj</b>',
  'wind_vrb_long'         => 'vltoz',
  'wind_vrb_short'        => 'VAR',
  'windchill'             => ' a hrzet <b>%s</b>&nbsp;&deg;C (<b>%s</b>&nbsp;&deg;F) ',
  'precip_last_hour'      => 'az utols rban. ',
  'precip_last_6_hours'   => 'az utbbi 3-6 rban. ',
  'precip_last_24_hours'  => 'az utbbi 24 rban. ',
  'precip_snow'           => '<b>%s</b> mm (<b>%s</b> inch) h van a felsznen. ',
  'temp_min_max_6_hours'  => 'A legmagasabb s legalacsonyabb hmrskletek az utbbi 6 rban: <b>%s</b> s <b>%s</b>&nbsp;&deg;C (<b>%s</b> s <b>%s</b>&nbsp;&deg;F).',
  'temp_max_6_hours'      => 'A legmagasabb hmrsklet az utbbi 6 rban: <b>%s</b>&nbsp;&deg;C (<b>%s</b>&nbsp;&deg;F). ',
  'temp_min_6_hours'      => 'A legalacsonyabb hmrsklet az utbbi 6 rban: <b>%s</b>&nbsp;&deg;C (<b>%s</b>&nbsp;&deg;F). ',
  'temp_min_max_24_hours' => 'A legmagasabb s legalacsonyabb hmrsklet az utbbi 24 rban: <b>%s</b> s <b>%s</b>&nbsp;&deg;C (<b>%s</b> s <b>%s</b>&nbsp;&deg;F). ',
  'runway_vis'            => 'A <b>%s</b> kifutplya lthatsga, <b>%s</b> m (<b>%s</b> lb).',
  'runway_vis_min_max'    => 'A <b>%s</b> kifutplya lthatsga vltoz <b>%s</b> m (<b>%s</b> lb) s <b>%s</b> m (<b>%s</b> lb) kztt.',
  'light'                 => 'knny ',
  'moderate'              => 'enyhe ',
  'Heavy'                 => 'ers ',
  'nearby'                => 'kzeli ',
  'current_weather'       => 'A pillanatnyi idjrsi jellemz: <b>%s</b>. ',
  'pretty_print_metar' => '<blockquote><p><b>%s</b> perccel ezeltt,
<b>%s</b> UTC-kor, a szl %s (%s). A hmrsklet <b>%s</b>&nbsp;&deg;C
(<b>%s</b>&nbsp;&deg;F), %s a lgnyoms <b>%s</b> hPa (<b>%s</b>
Hgmm). Relatv pratartalom <b>%s%%</b>. %s %s %s %s %s
%s</p></blockquote>'
 );

$wind_dir_text_short_array = array(
  '',
  '/K',
  'K',
  'K/K',
  'K',
  'K/DK',
  'DK',
  'D/DK',
  'D',
  'D/DNY',
  'DNY',
  'NY/DNY',
  'NY',
  'NY/NY',
  'NY',
  '/NY',
  '');

$wind_dir_text_array = array(
  'szaki',
  'szak/szakkeleti',
  'szakkeleti',
  'Kelet/szakkeleti',
  'Keleti',
  'Kelet/Dlkeleti',
  'Dlkeleti',
  'Dl/Dlkeleti',
  'Dli',
  'Dl/Dlnyugati',
  'Dlnyugati',
  'Nyugat/Dlnyugati',
  'Nyugati',
  'Nyugat/szaknyugati',
  'szaknyugati',
  'szak/szaknyugati',
  'szaki');

$weather_array = array(
  'MI' => 'felsznes ',
  'PR' => 'rszleges ',
  'BC' => 'szakadozott ',
  'DR' => 'enyhe lgmozgs',
  'BL' => 'szllks',
  'SH' => 'zpor',
  'TS' => 'zivatar',
  'FZ' => 'fagy',
  'DZ' => 'szitl es',
  'RA' => 'es',
  'SN' => 'h',
  'SG' => 'szemcss h',
  'IC' => 'jgkristly',
  'PE' => 'jgdara',
  'GR' => 'jges',
  'GS' => 'apr jges s/vagy hdara',
  'UP' => 'ismeretlen',
  'BR' => 'kd',
  'FG' => 'sr kd',
  'FU' => 'fst',
  'VA' => 'vulkni hamu',
  'DU' => 'kiterjedt por',
  'SA' => 'homok',
  'HZ' => 'pra',
  'PY' => 'permet',
  'PO' => 'por/homok rvny',
  'SQ' => 'szlroham',
  'FC' => 'felhtlcsr/tornd/vzoszlop',
  'SS' => 'homokvihar/porvihar');

$cloud_condition_array = array(
  'SKC' => 'derlt',
  'CLR' => 'tiszta',
  'VV'  => 'fggleges lthatsg',
  'FEW' => 'gyengn',
  'SCT' => 'szrvnyosan',
  'BKN' => 'szakadozottan',
  'OVC' => 'borult');
?>
